summaryrefslogtreecommitdiffstats
path: root/development/qdoc3/qdoc3.SlackBuild
diff options
context:
space:
mode:
author Christian Wansart <christian.wansart@gmx.net>2010-05-13 00:58:01 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:01 +0200
commitc1f4be1b1b87dec8454f1eb1e15e2b6e931f35ab (patch)
treecaca39012b64682190b169d41929d3e56a635e3b /development/qdoc3/qdoc3.SlackBuild
parent6ea014bd674af3c25c479ff4b70f37902febafb2 (diff)
downloadslackbuilds-c1f4be1b1b87dec8454f1eb1e15e2b6e931f35ab.tar.gz
slackbuilds-c1f4be1b1b87dec8454f1eb1e15e2b6e931f35ab.tar.xz
development/qdoc3: Added to 13.0 repository
Diffstat (limited to 'development/qdoc3/qdoc3.SlackBuild')
-rw-r--r--development/qdoc3/qdoc3.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/development/qdoc3/qdoc3.SlackBuild b/development/qdoc3/qdoc3.SlackBuild
new file mode 100644
index 0000000000..236cd49dca
--- /dev/null
+++ b/development/qdoc3/qdoc3.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Copyright (c) 2009 Christian Wansart
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# 3. The name of the author may not be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Christian Wansart <christian.wansart@gmx.net> revision date 2009/10/31
+
+PRGNAM=qdoc3
+VERSION=${VERSION:-4.5.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_NAME=qt-x11-opensource-src-$VERSION
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SRC_NAME
+cd $TMP
+tar xvf $CWD/$SRC_NAME.tar.bz2
+chown -R root:root $SRC_NAME
+chmod -R u+w,go+r-w,a-s $SRC_NAME
+
+cd $SRC_NAME/tools/$PRGNAM
+qmake QMAKE_CXXFLAGS="$SLKCFLAGS" $PRGNAM.pro
+make
+
+# Copy qdoc3 binary to $TMP because there is no install label in the Makefile
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/qt/tools/qdoc3/
+cp -a qdoc3 $PKG/usr/lib${LIBDIRSUFFIX}/qt/tools/qdoc3
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}